aboutsummaryrefslogtreecommitdiffstats
path: root/main/py-urwid/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-03-11 11:11:35 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2013-03-11 14:07:34 +0000
commit2f0d68a62d0b868dd2348e94a5f3983ecee43e96 (patch)
tree9bbdb7d595fb1a0f964ba7c44e9d484d944715c0 /main/py-urwid/APKBUILD
parent58e3670fe3a14fe5ea30a786af98fe63018d3cd2 (diff)
downloadaports-2f0d68a62d0b868dd2348e94a5f3983ecee43e96.tar.gz
aports-2f0d68a62d0b868dd2348e94a5f3983ecee43e96.tar.bz2
aports-2f0d68a62d0b868dd2348e94a5f3983ecee43e96.tar.xz
main/py-urwid: upgrade to 1.1.1
Diffstat (limited to 'main/py-urwid/APKBUILD')
-rw-r--r--main/py-urwid/APKBUILD35
1 files changed, 18 insertions, 17 deletions
diff --git a/main/py-urwid/APKBUILD b/main/py-urwid/APKBUILD
index 6fb342198b..60c58e57e4 100644
--- a/main/py-urwid/APKBUILD
+++ b/main/py-urwid/APKBUILD
@@ -2,16 +2,16 @@
# Maintainer: Matt Smith <mcs@darkregion.net>
pkgname=py-urwid
_pkgname=urwid
-pkgver=1.0.1
+pkgver=1.1.1
pkgrel=0
-pkgdesc="Urwid is a console user interface library for Python"
+pkgdesc="A console user interface library for Python"
url="http://excess.org/urwid/"
arch="all"
license="LGPL2+"
depends=""
-makedepends="python-dev py-setuptools py-templayer"
+makedepends="python-dev py-setuptools py-templayer py-sphinx"
install=""
-subpackages="$pkgname-doc"
+subpackages="$pkgname-doc $pkgname-examples"
source="http://excess.org/$_pkgname/$_pkgname-$pkgver.tar.gz"
_builddir="$srcdir"/$_pkgname-$pkgver
@@ -23,6 +23,7 @@ prepare() {
build() {
cd "$_builddir"
python setup.py build || return 1
+ sphinx-build -b html docs docs_tmp
}
package() {
@@ -30,20 +31,20 @@ package() {
python setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
+examples() {
+ arch="noarch"
+ # Put the examples into a seperate package
+ mkdir -p "$subpkgdir"/usr/share/doc/"$pkgname"/examples || return 1
+ mv "$_builddir"/examples "$subpkgdir"/usr/share/doc/"$pkgname"/examples || return 1
+}
+
doc() {
+ arch="noarch"
cd "$_builddir"
-
- # generate tutorial examples, and copy documentation
- python docgen_tutorial.py -s
- mkdir -p "$subpkgdir"/usr/share/doc/$pkgname/tutorial_examples
- cp -a example*.py "$subpkgdir"/usr/share/doc/$pkgname/tutorial_examples/
-
- for doc in CHANGELOG reference.html tutorial.html; do
- install -Dm644 $doc "$subpkgdir"/usr/share/doc/$pkgname/$doc
- done
-
- # Fix subdir perms
- find "$subpkgdir"/usr/share/doc/$pkgname/ -type d -exec chmod 755 '{}' \;
+ mkdir -p "$subpkgdir"/usr/share/doc/"$pkgname"/ || return 1
+ mv "$_builddir"/docs_tmp "$subpkgdir"/usr/share/doc/"$pkgname"/manual || return 1
}
-md5sums="828f7144b94920205e755c249d2e297f urwid-1.0.1.tar.gz"
+md5sums="eca2e0413cf7216b01c84b99e0f2576d urwid-1.1.1.tar.gz"
+sha256sums="b301b4e0c2cd1634390cda80149d8aa2a07365af81a281ecf258770e47d30e99 urwid-1.1.1.tar.gz"
+sha512sums="31a883998e1c91b46076a064b496c4c12fff972808d7d338b616251b29be2399caf5953ab8180d596f76260cd494f7ba09797886d637fce8d46cc1dfffe355ac urwid-1.1.1.tar.gz"